Package com.emc.documentum.rest.dfc

# Interface JobManager

public interface JobManager
The job manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JobObject`
  `create(JobObject jobObject)`
  Create a job
  `void`
  `delete(String jobID)`
  Delete a job
  `JobObject`
  `get(String jobID, AttributeView attributeView)`
  Get a job by its job name.
  `Page<JobObject>`
  `setMethodId(Page<JobObject> jobObjects)`
  Sets the method Id to jobObject and returns the jobobjectpage
  `JobObject`
  `update(String jobID, JobObject jobObject)`
  Update a job

- ## Method Details

  - ### get

    JobObject get(String jobID, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get a job by its job name.
    Parameters:
      `jobID` - the job name
      `attributeView` - the attribute view on the result
    Returns:
      the job
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### create

    JobObject create(JobObject jobObject) throws com.documentum.fc.common.DfException
    Create a job
    Parameters:
      `jobObject` - the jobObject to be created.
    Returns:
      the job
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### update

    JobObject update(String jobID, JobObject jobObject) throws com.documentum.fc.common.DfException
    Update a job
    Parameters:
      `jobID` - the job name to be updated.
      `jobObject` - the object takes the properties to be updated.
    Returns:
      the job
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### delete

    void delete(String jobID) throws com.documentum.fc.common.DfException
    Delete a job
    Parameters:
      `jobID` - the job name to be deleted.
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### setMethodId

    Page<JobObject> setMethodId(Page<JobObject> jobObjects)
    Sets the method Id to jobObject and returns the jobobjectpage
    Parameters:
      `jobObjects` - page of jobobjects.
    Returns:
      the page of jobobjects